import {
  __esm
} from "./chunk-OBKEW4AQ.mjs";

// src/resources/payins/index.ts
function createPayinsResource(instanceId, client) {
  return {
    list(params) {
      const queryParams = params ? `?${new URLSearchParams(params)}` : "";
      return client.get(`/instances/${instanceId}/payins${queryParams}`);
    },
    get(payinId) {
      return client.get(`/instances/${instanceId}/payins/${payinId}`);
    },
    getTrack(payinId) {
      return client.get(`/e/payins/${payinId}`);
    },
    createEvm(payin_quote_id) {
      return client.post(`/instances/${instanceId}/payins/evm`, {
        payin_quote_id
      });
    }
  };
}
var init_payins = __esm({
  "src/resources/payins/index.ts"() {
  }
});

export {
  createPayinsResource,
  init_payins
};
